Skip to main content
GET
/
api
/
public
/
problems
List all problems
curl --request GET \
  --url https://api.ropes.ai/api/public/problems \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "<string>",
    "title": "<string>",
    "integrationSource": "<string>",
    "externalId": "<string>",
    "testMode": true,
    "isFromRopesTestBank": true
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

integrationSource
string

Filter by integration source. Must be provided with externalId.

externalId
string

Filter by external ID from the ATS integration. Must be provided with integrationSource.

hideRopesTestBank
enum<string>

Omits problems shared from the Ropes Test Bank when true.

Available options:
true,
false

Response

Successfully retrieved problems

id
string
required

Unique identifier for the problem

title
string
required

Display name/title of the problem

status
enum<string>
required

Current status of the problem

Available options:
Ready,
Creating,
Editing
integrationSource
string

Integration source for the problem (e.g., jobdiva, bullhorn)

externalId
string

External ID from the ATS integration

testMode
boolean

True if this is a non-production problem created for API integration testing.

isFromRopesTestBank
boolean

True if this problem is from the shared Ropes Test Bank (read-only).